<?php

namespace App\Enums;

use App\Traits\Enums\WithCommentEnum;
use App\Traits\Enums\WithValueEnum;

enum IsShow: int
{
    use WithCommentEnum, WithValueEnum;

    case SHOW = 1;
    case HIDDEN = 2;

    public function label(): string
    {
        return match ($this) {
            self::SHOW => 'Ditampilkan',
            self::HIDDEN => 'Disembunyikan',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::SHOW => 'emerald',
            self::HIDDEN => 'red',
        };
    }
}
